Program Forms
Update a form
Update a form
PUT
/
admin
/
forms
/
{hysform_id}
Update a form
curl --request PUT \
--url https://api.helpyousponsor.com/v1/admin/forms/{hysform_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"id": 123,
"client_id": "<string>",
"default_emailset_id": 123,
"type": "<string>",
"name": "<string>",
"prefix": "<string>",
"counter": 123,
"box_folder_id": "<string>",
"can_donor_modify_amount": "<string>",
"mailchimp_list_id": "<string>",
"forgive_missed_payments": 123,
"notify": "<string>",
"deleted_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"hide_payment": "<string>",
"hysform_id": 123
}
'import requests
url = "https://api.helpyousponsor.com/v1/admin/forms/{hysform_id}"
payload = {
"id": 123,
"client_id": "<string>",
"default_emailset_id": 123,
"type": "<string>",
"name": "<string>",
"prefix": "<string>",
"counter": 123,
"box_folder_id": "<string>",
"can_donor_modify_amount": "<string>",
"mailchimp_list_id": "<string>",
"forgive_missed_payments": 123,
"notify": "<string>",
"deleted_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"hide_payment": "<string>",
"hysform_id": 123
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
client_id: '<string>',
default_emailset_id: 123,
type: '<string>',
name: '<string>',
prefix: '<string>',
counter: 123,
box_folder_id: '<string>',
can_donor_modify_amount: '<string>',
mailchimp_list_id: '<string>',
forgive_missed_payments: 123,
notify: '<string>',
deleted_at: '<string>',
created_at: '<string>',
updated_at: '<string>',
hide_payment: '<string>',
hysform_id: 123
})
};
fetch('https://api.helpyousponsor.com/v1/admin/forms/{hysform_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully Updated Form"
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of Hysform to update
Body
application/json
Hysform object that needs to be updated
Response
Successful operation
⌘I
Update a form

